Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owlapi.owllink.builtin.requests
Class LoadOntologies

    java.lang.Object
      org.semanticweb.owlapi.owllink.builtin.requests.AbstractKBRequest<OK>
          org.semanticweb.owlapi.owllink.builtin.requests.LoadOntologies

All Implemented Interfaces:
  KBRequest<OK>, Request<OK>

    public class LoadOntologies

extends AbstractKBRequest<OK>

Created by IntelliJ IDEA. Author: Olaf Noppens Date: 23.10.2009

Field Summary
`protected boolean` | `considerImports`
`protected java.util.List<IRIMapping>` | `irimapping`
`protected java.util.Set<IRI>` | `ontologyIRIs`

Constructor Summary
`LoadOntologies(IRI kb, java.util.Set<IRI> ontologyIRIs)`
`LoadOntologies(IRI kb, java.util.Set<IRI> ontologyIRIs, java.util.List<IRIMapping> iriMapping, boolean considerImports)`

Method Summary
`void` | `accept(RequestVisitor visitor)`
`java.util.List<IRIMapping>` | `getIRIMapping()`
`java.util.Set<IRI>` | `getOntologyIRIs()`
`boolean` | `isConsideringImports()`

Methods inherited from class org.semanticweb.owlapi.owllink.builtin.requests.AbstractKBRequest
`getKB`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### considerImports

    protected boolean considerImports

### ontologyIRIs

    protected java.util.Set<IRI> ontologyIRIs

### irimapping

    protected java.util.List<IRIMapping> irimapping

Constructor Detail

### LoadOntologies

    public LoadOntologies(IRI kb,
                          java.util.Set<IRI> ontologyIRIs,
                          java.util.List<IRIMapping> iriMapping,
                          boolean considerImports)

### LoadOntologies

    public LoadOntologies(IRI kb,
                          java.util.Set<IRI> ontologyIRIs)

Method Detail

### isConsideringImports

    public boolean isConsideringImports()

### getOntologyIRIs

    public java.util.Set<IRI> getOntologyIRIs()

### accept

    public void accept(RequestVisitor visitor)

### getIRIMapping

    public java.util.List<IRIMapping> getIRIMapping()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD